Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderRequest

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderRequest

public class WebServiceRenderRequest
extends java.lang.Object

A `WebServiceRenderRequest` 'wraps' a `PortletRenderRequest` in order to expose properties and derived values that are relevant to a `WebServiceRenderer`. A `WebServiceRenderRequest` is also capable of 'serializing' itself to XML.

Constructor Summary
`WebServiceRenderRequest(PortletRenderRequest pr)`

Method Summary
`void` | `addToXml(org.w3c.dom.Node parent)` 'Serializes' this object to XML.
`NameValuePersonalizationObject` | `getEditData()` Retrieves a `NameValuePersonalizationObject` containing the customizable data for the request user and portlet instance.
`java.lang.String` | `getFormActionLink()` Gets the page URL without the query string, in a form that is suitable for the action link of an HTML Form.
`java.util.Locale` | `getLocale()` Gets the object representing the portal user's locale.
`oracle.portal.utils.NameValue[]` | `getPageParams()` Gets the decoded names and values of the parameters in the query string of the page URL.
`java.lang.String` | `getPageURL()` Gets the URL of the page that invoked this portlet.
`java.lang.String` | `getParameterPrefix()` Gets the portlet instance specific prefix that should be used in front of parameter names to make them private to the portlet instance.
`PortletInstance` | `getPortletInstance()` Gets the portlet instance to be rendered.
`java.lang.String` | `getRepositoryPath()` Gets the default storage path used for meta data associated with this provider, if any.
`java.lang.String` | `getRequestParameter(java.lang.String name)` Gets the value of a property of this `WebServiceRenderRequest` by name.
`java.lang.String` | `getRequestPath()` Gets the path of the URL that invoked this portlet (without the filename and query string).
`ProviderSession` | `getSession()` Gets the `ProviderSession` for the requesting user, if one exists.
`java.lang.String` | `getURLParameter(java.lang.String name)` Gets the value of a specified parameter in the query string of the request to the provider.
`java.util.Enumeration` | `getURLParameterNames()` Gets an `Enumeration` over the parameter names in the query string of the request to the provider.
`ProviderUser` | `getUser()` Gets the user on whose behalf the portlet is to be renderered.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderRequest

    public WebServiceRenderRequest(PortletRenderRequest pr)

Method Detail

### getPortletInstance

    public PortletInstance getPortletInstance()

  Gets the portlet instance to be rendered.

  Returns:
    the portlet instance to be rendered.

### getRepositoryPath

    public java.lang.String getRepositoryPath()

  Gets the default storage path used for meta data associated with this provider, if any. Usually, this is the filesystem path to the directory containing provider.xml.

  Returns:
    the default storage path used for meta data associated with this provider

### getURLParameterNames

    public java.util.Enumeration getURLParameterNames()

  Gets an `Enumeration` over the parameter names in the query string of the request to the provider. Note that parameter names are automatically unqualified, i.e. the portlet instance specific prefix returned by `getParameterPrefix()` is automatically removed.

  Returns:
    an `Enumeration` over the parameter names in the query string of the request to the provider.

### getURLParameter

    public java.lang.String getURLParameter(java.lang.String name)

  Gets the value of a specified parameter in the query string of the request to the provider. Note that the given parameter name should be unqualified, i.e. should not begin with the the portlet instance specific prefix returned by `getParameterPrefix()`.

  Parameters:
    `name` - the name of a parameter in the query string of the request to the provider
  Returns:
    the value of the specified parameter

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String name)

  Gets the value of a property of this `WebServiceRenderRequest` by name.

  Parameters:
    `name` - the name of a property of this `WebServiceRenderRequest`. Allowable names are:
    - `"user/name"`: The result of calling `getUser().getName()`.
    - `"user/authLevel"`: The result of calling `getUser().getAuthenticationLevel()`.
    - `"locale/language"`: The result of calling `getLocale().getLanguage()`.
    - `"locale/country"`: The result of calling `getLocale().getCountry()`.
    - `"pageURL"`: The result of calling `getPageURL()`.
    - `"formActionLink"`: The result of calling `getFormActionLink()`.
    - `"requestPath"`: The result of calling `getRequestPath()`.
    - `"parameterPrefix"`: The result of calling `getParameterPrefix()`.
  Returns:
    the value of the specified property

### getUser

    public ProviderUser getUser()

  Gets the user on whose behalf the portlet is to be renderered.

  Returns:
    the user on whose behalf the portlet is to be renderered

### getLocale

    public java.util.Locale getLocale()

  Gets the object representing the portal user's locale.

  Returns:
    object representing the portal user's locale

### getPageURL

    public java.lang.String getPageURL()

  Gets the URL of the page that invoked this portlet. Note: Query string is included if applicable.

  Returns:
    the URL of the page that invoked this portlet.

### getFormActionLink

    public java.lang.String getFormActionLink()

  Gets the page URL without the query string, in a form that is suitable for the action link of an HTML Form.

  Returns:
    the page URL without the query string

### getRequestPath

    public java.lang.String getRequestPath()

  Gets the path of the URL that invoked this portlet (without the filename and query string). Portlets use this to (re)write `HREF`s in their response, as these references must be absolute paths since the client browser considers the current target the portal.

### getParameterPrefix

    public java.lang.String getParameterPrefix()

  Gets the portlet instance specific prefix that should be used in front of parameter names to make them private to the portlet instance.

  Returns:
    the portlet instance specific prefix that should be used in front of parameter names to make them private to the portlet instance.

### getPageParams

    public oracle.portal.utils.NameValue[] getPageParams()
                                                  throws PortletException

  Gets the decoded names and values of the parameters in the query string of the page URL. These parameter names and values represent the current page 'context', which should be preserved by generated HTML forms by including appropriate hidden fields.

  Returns:
    the decoded names and values of the parameters in the query string of the page URL
    `PortletException`

### getEditData

    public NameValuePersonalizationObject getEditData()
                                               throws PortletException

  Retrieves a `NameValuePersonalizationObject` containing the customizable data for the request user and portlet instance.

  Returns:
    a `NameValuePersonalizationObject` containing the customizable data for the request user and portlet instance, or `null` if the portlet does not support customization, or the dataclass is not `NameValuePersonalizationObject`.
    `PortletException`

### getSession

    public ProviderSession getSession()

  Gets the `ProviderSession` for the requesting user, if one exists.

  Returns:
    the `ProviderSession` for the requesting user, if one exists, or `null` otherwise.

### addToXml

    public void addToXml(org.w3c.dom.Node parent)
                  throws PortletException

  'Serializes' this object to XML.

  Parameters:
    `parent` - node in an XML document under which an XML representation of this object should be added (inside an element called `request`).
    `PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.